X2Go Bug report logs - #1139
x2goclient fails to start

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: Robert Dinse <nanook@eskimo.com>

Date: Mon, 23 Jan 2017 14:10:01 UTC

Severity: normal

Tags: pending

Merged with 1140

Found in versions 4.1.0.0~0~1515~ubuntu~16.10.1, 4.1.0.0~1515~ubuntu16.04.1

Fixed in version 4.1.0.0

Done: X2Go Release Manager <git-admin@x2go.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1139; Package x2goclient. (Mon, 23 Jan 2017 14:10:01 GMT) (full text, mbox, link).


Acknowledgement sent to Robert Dinse <nanook@eskimo.com>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 23 Jan 2017 14:10:02 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Robert Dinse <nanook@eskimo.com>
To: submit@bugs.x2go.org
Subject: x2goclient fails to start
Date: Mon, 23 Jan 2017 05:59:24 -0800 (PST)
Package: x2goclient
Version: 4.1.0.0~0~1515~ubuntu~16.10.1

This worked under Ubuntu 16.04.1 LTS, it fails now under Ubuntu 16.10

When I invoke x2goclient it fails thusly:
x2goclient
Failed to re-execute process as UNIX cleanup helper tool: No such file or 
directory
Terminating and killing parent.
Please report a bug, refer to this documentation: 
http://wiki.x2go.org/doku.php/wiki:bugs
Terminated

Following is an strace:

execve("/usr/bin/x2goclient", ["x2goclient", "-f"], [/* 87 vars */]) = 0
brk(NULL)                               = 0x55d2a6fff000
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
mmap(NULL, 12288, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f8233cbe000
access("/etc/ld.so.preload", R_OK)      = -1 ENOENT (No such file or directory)
open("/etc/ld.so.cache", O_RDONLY|O_CLOEXEC) = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=393940, ...}) = 0
mmap(NULL, 393940, PROT_READ, MAP_PRIVATE, 3, 0) = 0x7f8233c5d000
close(3)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/usr/lib/x86_64-linux-gnu/libssh.so.4", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0@\263\0\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0644, st_size=456984, ...}) = 0
mmap(NULL, 2552032, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f823382d000
mprotect(0x7f823389b000, 2093056, PROT_NONE) = 0
mmap(0x7f8233a9a000, 12288, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x6d000) = 0x7f8233a9a000
close(3)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/usr/lib/x86_64-linux-gnu/libldap_r-2.4.so.2", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\360\307\0\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0644, st_size=322928, ...}) = 0
mmap(NULL, 2427592, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f82335dc000
mprotect(0x7f8233629000, 2093056, PROT_NONE) = 0
mmap(0x7f8233828000, 12288, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x4c000) = 0x7f8233828000
mmap(0x7f823382b000, 6856, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x7f823382b000
close(3)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/usr/lib/x86_64-linux-gnu/libcups.so.2", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\0\267\1\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0644, st_size=546768, ...}) = 0
mmap(NULL, 2642504, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f8233356000
mprotect(0x7f82333d3000, 2097152, PROT_NONE) = 0
mmap(0x7f82335d3000, 36864, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x7d000) = 0x7f82335d3000
close(3)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/usr/lib/x86_64-linux-gnu/libX11.so.6", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0000\210\1\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0644, st_size=1281520, ...}) = 0
mmap(NULL, 3378488, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f823301d000
mprotect(0x7f8233152000, 2093056, PROT_NONE) = 0
mmap(0x7f8233351000, 20480, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x134000) = 0x7f8233351000
close(3)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/usr/lib/x86_64-linux-gnu/libXpm.so.4", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\200)\0\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0644, st_size=68360, ...}) = 0
mmap(NULL, 2163568, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f8232e0c000
mprotect(0x7f8232e1c000, 2093056, PROT_NONE) = 0
mmap(0x7f823301b000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0xf000) = 0x7f823301b000
close(3)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/usr/lib/x86_64-linux-gnu/libQtSvg.so.4", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\360.\1\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0644, st_size=365912, ...}) = 0
mmap(NULL, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f8233c5b000
mmap(NULL, 2460896, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f8232bb3000
mprotect(0x7f8232c09000, 2097152, PROT_NONE) = 0
mmap(0x7f8232e09000, 12288, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x56000) = 0x7f8232e09000
close(3)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/usr/lib/x86_64-linux-gnu/libQtGui.so.4", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\3\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0000\"\33\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0644, st_size=11474912, ...}) = 0
mmap(NULL, 13583200, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f8231ebe000
mprotect(0x7f823296b000, 2093056, PROT_NONE) = 0
mmap(0x7f8232b6a000, 282624, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0xaac000) = 0x7f8232b6a000
mmap(0x7f8232baf000, 13152, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x7f8232baf000
close(3)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/usr/lib/x86_64-linux-gnu/libQtNetwork.so.4", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\3\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\200 \3\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0644, st_size=1395480, ...}) = 0
mmap(NULL, 3492224, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f8231b69000
mprotect(0x7f8231cb6000, 2097152, PROT_NONE) = 0
mmap(0x7f8231eb6000, 32768, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x14d000) = 0x7f8231eb6000
close(3)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/usr/lib/x86_64-linux-gnu/libQtCore.so.4", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\3\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0@\36\7\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0644, st_size=3086448, ...}) = 0
mmap(NULL, 5184680, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f8231677000
mprotect(0x7f823195e000, 2093056, PROT_NONE) = 0
mmap(0x7f8231b5d000, 45056, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x2e6000) = 0x7f8231b5d000
mmap(0x7f8231b68000, 3240, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x7f8231b68000
close(3)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/lib/x86_64-linux-gnu/libpthread.so.0", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\240`\0\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=142400, ...}) = 0
mmap(NULL, 2217000, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f8231459000
mprotect(0x7f8231471000, 2097152, PROT_NONE) = 0
mmap(0x7f8231671000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x18000) = 0x7f8231671000
mmap(0x7f8231673000, 13352, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x7f8231673000
close(3)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/usr/lib/x86_64-linux-gnu/libstdc++.so.6", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\3\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\0\271\10\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0644, st_size=1590744, ...}) = 0
mmap(NULL, 3699328, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f82310d1000
mprotect(0x7f8231249000, 2097152, PROT_NONE) = 0
mmap(0x7f8231449000, 49152, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x178000) = 0x7f8231449000
mmap(0x7f8231455000, 12928, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x7f8231455000
close(3)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/lib/x86_64-linux-gnu/libgcc_s.so.1", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\220*\0\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0644, st_size=92552, ...}) = 0
mmap(NULL, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f8233c59000
mmap(NULL, 2188336, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f8230eba000
mprotect(0x7f8230ed0000, 2093056, PROT_NONE) = 0
mmap(0x7f82310cf000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x15000) = 0x7f82310cf000
close(3)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/lib/x86_64-linux-gnu/libc.so.6", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\3\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\20\5\2\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0755, st_size=1856752, ...}) = 0
mmap(NULL, 3959200, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f8230af3000
mprotect(0x7f8230cb0000, 2097152, PROT_NONE) = 0
mmap(0x7f8230eb0000, 24576, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x1bd000) = 0x7f8230eb0000
mmap(0x7f8230eb6000, 14752, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x7f8230eb6000
close(3)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/lib/x86_64-linux-gnu/librt.so.1", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\340 \0\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0644, st_size=31712, ...}) = 0
mmap(NULL, 2128832, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f82308eb000
mprotect(0x7f82308f2000, 2093056, PROT_NONE) = 0
mmap(0x7f8230af1000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x6000) = 0x7f8230af1000
close(3)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/lib/x86_64-linux-gnu/libcrypto.so.1.0.0", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\0\36\6\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0644, st_size=2361856, ...}) = 0
mmap(NULL, 4471680, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f82304a7000
mprotect(0x7f82306c0000, 2097152, PROT_NONE) = 0
mmap(0x7f82308c0000, 163840, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x219000) = 0x7f82308c0000
mmap(0x7f82308e8000, 11136, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x7f82308e8000
close(3)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/lib/x86_64-linux-gnu/libz.so.1", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\260\35\0\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0644, st_size=104864, ...}) = 0
mmap(NULL, 2199848, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f823028d000
mprotect(0x7f82302a6000, 2093056, PROT_NONE) = 0
mmap(0x7f82304a5000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x18000) = 0x7f82304a5000
close(3)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/usr/lib/x86_64-linux-gnu/libgssapi_krb5.so.2", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\360\264\0\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0644, st_size=301376, ...}) = 0
mmap(NULL, 2396960, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f8230043000
mprotect(0x7f823008a000, 2097152, PROT_NONE) = 0
mmap(0x7f823028a000, 12288, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x47000) = 0x7f823028a000
close(3)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/usr/lib/x86_64-linux-gnu/liblber-2.4.so.2", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\340)\0\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0644, st_size=59640, ...}) = 0
mmap(NULL, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f8233c57000
mmap(NULL, 2154984, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f822fe34000
mprotect(0x7f822fe41000, 2097152, PROT_NONE) = 0
mmap(0x7f8230041000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0xd000) = 0x7f8230041000
close(3)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/lib/x86_64-linux-gnu/libresolv.so.2", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0p9\0\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0644, st_size=101200, ...}) = 0
mmap(NULL, 2206280, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f822fc19000
mprotect(0x7f822fc30000, 2097152, PROT_NONE) = 0
mmap(0x7f822fe30000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x17000) = 0x7f822fe30000
mmap(0x7f822fe32000, 6728, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x7f822fe32000
close(3)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/usr/lib/x86_64-linux-gnu/libsasl2.so.2", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0@)\0\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0644, st_size=109296, ...}) = 0
mmap(NULL, 2204648, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f822f9fe000
mprotect(0x7f822fa17000, 2097152, PROT_NONE) = 0
mmap(0x7f822fc17000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x19000) = 0x7f822fc17000
close(3)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/usr/lib/x86_64-linux-gnu/libgssapi.so.3", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\240\331\0\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0644, st_size=264256, ...}) = 0
mmap(NULL, 2359640, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f822f7bd000
mprotect(0x7f822f7fa000, 2097152, PROT_NONE) = 0
mmap(0x7f822f9fa000, 12288, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x3d000) = 0x7f822f9fa000
mmap(0x7f822f9fd000, 344, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x7f822f9fd000
close(3)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/usr/lib/x86_64-linux-gnu/libgnutls.so.30", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\200g\2\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0644, st_size=1412712, ...}) = 0
mmap(NULL, 3513120, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f822f463000
mprotect(0x7f822f5b0000, 2093056, PROT_NONE) = 0
mmap(0x7f822f7af000, 53248, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x14c000) = 0x7f822f7af000
mmap(0x7f822f7bc000, 2848, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x7f822f7bc000
close(3)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/usr/lib/x86_64-linux-gnu/libavahi-common.so.3", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0@/\0\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0644, st_size=47952, ...}) = 0
mmap(NULL, 2143216, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f822f257000
mprotect(0x7f822f262000, 2093056, PROT_NONE) = 0
mmap(0x7f822f461000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0xa000) = 0x7f822f461000
close(3)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/usr/lib/x86_64-linux-gnu/libavahi-client.so.3", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\2206\0\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0644, st_size=68512, ...}) = 0
mmap(NULL, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f8233c55000
mmap(NULL, 2163576, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f822f046000
mprotect(0x7f822f056000, 2093056, PROT_NONE) = 0
mmap(0x7f822f255000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0xf000) = 0x7f822f255000
close(3)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/lib/x86_64-linux-gnu/libm.so.6", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\3\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\20W\0\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0644, st_size=1088952, ...}) = 0
mmap(NULL, 3178744, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f822ed3d000
mprotect(0x7f822ee45000, 2093056, PROT_NONE) = 0
mmap(0x7f822f044000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x107000) = 0x7f822f044000
close(3)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/usr/lib/x86_64-linux-gnu/libxcb.so.1", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\260\226\0\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0644, st_size=137728, ...}) = 0
mmap(NULL, 2233000, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f822eb1b000
mprotect(0x7f822eb3c000, 2093056, PROT_NONE) = 0
mmap(0x7f822ed3b000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x20000) = 0x7f822ed3b000
close(3)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/lib/x86_64-linux-gnu/libdl.so.2", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\200\r\0\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0644, st_size=14608, ...}) = 0
mmap(NULL, 2109680, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f822e917000
mprotect(0x7f822e91a000, 2093056, PROT_NONE) = 0
mmap(0x7f822eb19000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x2000) = 0x7f822eb19000
close(3)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/usr/lib/x86_64-linux-gnu/libfontconfig.so.1", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0@m\0\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0644, st_size=273832, ...}) = 0
mmap(NULL, 2369512, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f822e6d4000
mprotect(0x7f822e711000, 2093056, PROT_NONE) = 0
mmap(0x7f822e910000, 28672, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x3c000) = 0x7f822e910000
close(3)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/usr/lib/x86_64-linux-gnu/libaudio.so.2", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\300M\0\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0644, st_size=100976, ...}) = 0
mmap(NULL, 2196584, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f822e4bb000
mprotect(0x7f822e4d2000, 2097152, PROT_NONE) = 0
mmap(0x7f822e6d2000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x17000) = 0x7f822e6d2000
close(3)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/lib/x86_64-linux-gnu/libglib-2.0.so.0", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\320\254\1\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0644, st_size=1127520, ...}) = 0
mmap(NULL, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f8233c53000
mmap(NULL, 3225320, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f822e1a7000
mprotect(0x7f822e2b9000, 2093056, PROT_NONE) = 0
mmap(0x7f822e4b8000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x111000) = 0x7f822e4b8000
mmap(0x7f822e4ba000, 1768, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x7f822e4ba000
close(3)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/usr/lib/x86_64-linux-gnu/libpng16.so.16", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0 C\0\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0644, st_size=202672, ...}) = 0
mmap(NULL, 2297872, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f822df75000
mprotect(0x7f822dfa6000, 2093056, PROT_NONE) = 0
mmap(0x7f822e1a5000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x30000) = 0x7f822e1a5000
close(3)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/usr/lib/x86_64-linux-gnu/libfreetype.so.6", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0 \345\0\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0644, st_size=707088, ...}) = 0
mmap(NULL, 2802152, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f822dcc8000
mprotect(0x7f822dd6e000, 2097152, PROT_NONE) = 0
mmap(0x7f822df6e000, 28672, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0xa6000) = 0x7f822df6e000
close(3)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/usr/lib/x86_64-linux-gnu/libgobject-2.0.so.0", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\320\256\0\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0644, st_size=339000, ...}) = 0
mmap(NULL, 2436840, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f822da75000
mprotect(0x7f822dac7000, 2093056, PROT_NONE) = 0
mmap(0x7f822dcc6000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x51000) = 0x7f822dcc6000
close(3)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/usr/lib/x86_64-linux-gnu/libSM.so.6", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\300\33\0\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0644, st_size=30960, ...}) = 0
mmap(NULL, 2126192, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f822d86d000
mprotect(0x7f822d874000, 2093056, PROT_NONE) = 0
mmap(0x7f822da73000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x6000) = 0x7f822da73000
close(3)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/usr/lib/x86_64-linux-gnu/libICE.so.6", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\260F\0\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0644, st_size=93824, ...}) = 0
mmap(NULL, 2203520, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f822d653000
mprotect(0x7f822d669000, 2093056, PROT_NONE) = 0
mmap(0x7f822d868000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x15000) = 0x7f822d868000
mmap(0x7f822d86a000, 12160, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x7f822d86a000
close(3)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/usr/lib/x86_64-linux-gnu/libXi.so.6", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\240!\0\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0644, st_size=63944, ...}) = 0
mmap(NULL, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f8233c51000
mmap(NULL, 2159240, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f822d443000
mprotect(0x7f822d452000, 2093056, PROT_NONE) = 0
mmap(0x7f822d651000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0xe000) = 0x7f822d651000
close(3)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/usr/lib/x86_64-linux-gnu/libXrender.so.1", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\220\32\0\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0644, st_size=39448, ...}) = 0
mmap(NULL, 2134632, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f822d239000
mprotect(0x7f822d242000, 2093056, PROT_NONE) = 0
mmap(0x7f822d441000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x8000) = 0x7f822d441000
close(3)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/usr/lib/x86_64-linux-gnu/libXext.so.6", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\2205\0\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0644, st_size=73640, ...}) = 0
mmap(NULL, 2169496, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f822d027000
mprotect(0x7f822d038000, 2093056, PROT_NONE) = 0
mmap(0x7f822d237000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x10000) = 0x7f822d237000
close(3)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/usr/lib/x86_64-linux-gnu/libkrb5.so.3", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\200\24\2\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0644, st_size=864584, ...}) = 0
mmap(NULL, 2960384, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f822cd54000
mprotect(0x7f822ce18000, 2093056, PROT_NONE) = 0
mmap(0x7f822d017000, 65536, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0xc3000) = 0x7f822d017000
close(3)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/usr/lib/x86_64-linux-gnu/libk5crypto.so.3", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0000>\0\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0644, st_size=186824, ...}) = 0
mmap(NULL, 2285656, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f822cb25000
mprotect(0x7f822cb51000, 2093056, PROT_NONE) = 0
mmap(0x7f822cd50000, 12288, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x2b000) = 0x7f822cd50000
mmap(0x7f822cd53000, 88, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x7f822cd53000
close(3)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/lib/x86_64-linux-gnu/libcom_err.so.2", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\0\23\0\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0644, st_size=14248, ...}) = 0
mmap(NULL, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f8233c4f000
mmap(NULL, 2109608, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f822c921000
mprotect(0x7f822c924000, 2093056, PROT_NONE) = 0
mmap(0x7f822cb23000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x2000) = 0x7f822cb23000
close(3)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/usr/lib/x86_64-linux-gnu/libkrb5support.so.0", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\240&\0\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0644, st_size=43664, ...}) = 0
mmap(NULL, 2139080, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f822c716000
mprotect(0x7f822c720000, 2093056, PROT_NONE) = 0
mmap(0x7f822c91f000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x9000) = 0x7f822c91f000
close(3)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/usr/lib/x86_64-linux-gnu/libheimntlm.so.0", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0p*\0\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0644, st_size=35920, ...}) = 0
mmap(NULL, 2130928, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f822c50d000
mprotect(0x7f822c515000, 2093056, PROT_NONE) = 0
mmap(0x7f822c714000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x7000) = 0x7f822c714000
close(3)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/usr/lib/x86_64-linux-gnu/libkrb5.so.26", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\200\302\1\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0644, st_size=560808, ...}) = 0
mmap(NULL, 2658672, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f822c283000
mprotect(0x7f822c307000, 2093056, PROT_NONE) = 0
mmap(0x7f822c506000, 24576, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x83000) = 0x7f822c506000
mmap(0x7f822c50c000, 368, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x7f822c50c000
close(3)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/usr/lib/x86_64-linux-gnu/libasn1.so.8", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\0\232\1\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0644, st_size=661872, ...}) = 0
mmap(NULL, 2756880, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f822bfe1000
mprotect(0x7f822c080000, 2093056, PROT_NONE) = 0
mmap(0x7f822c27f000, 16384, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x9e000) = 0x7f822c27f000
close(3)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/usr/lib/x86_64-linux-gnu/libhcrypto.so.4", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0pg\0\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0644, st_size=204168, ...}) = 0
mmap(NULL, 2303016, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f822bdae000
mprotect(0x7f822bdde000, 2097152, PROT_NONE) = 0
mmap(0x7f822bfde000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x30000) = 0x7f822bfde000
mmap(0x7f822bfe0000, 1064, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x7f822bfe0000
close(3)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/usr/lib/x86_64-linux-gnu/libroken.so.18", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\320N\0\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0644, st_size=89904, ...}) = 0
mmap(NULL, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f8233c4d000
mmap(NULL, 2185320, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f822bb98000
mprotect(0x7f822bbad000, 2093056, PROT_NONE) = 0
mmap(0x7f822bdac000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x14000) = 0x7f822bdac000
close(3)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/usr/lib/x86_64-linux-gnu/libp11-kit.so.0", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\200\21\1\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0644, st_size=407592, ...}) = 0
mmap(NULL, 2503856, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f822b934000
mprotect(0x7f822b98d000, 2093056, PROT_NONE) = 0
mmap(0x7f822bb8c000, 49152, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x58000) = 0x7f822bb8c000
close(3)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/lib/x86_64-linux-gnu/libidn.so.11", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\320*\0\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0644, st_size=206872, ...}) = 0
mmap(NULL, 2302000, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f822b701000
mprotect(0x7f822b732000, 2097152, PROT_NONE) = 0
mmap(0x7f822b932000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x31000) = 0x7f822b932000
close(3)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/usr/lib/x86_64-linux-gnu/libtasn1.so.6", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\300(\0\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0644, st_size=75776, ...}) = 0
mmap(NULL, 2171624, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f822b4ee000
mprotect(0x7f822b4ff000, 2097152, PROT_NONE) = 0
mmap(0x7f822b6ff000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x11000) = 0x7f822b6ff000
close(3)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/usr/lib/x86_64-linux-gnu/libnettle.so.6", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0`~\0\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0644, st_size=219336, ...}) = 0
mmap(NULL, 2314384, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f822b2b8000
mprotect(0x7f822b2ec000, 2093056, PROT_NONE) = 0
mmap(0x7f822b4eb000, 12288, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x33000) = 0x7f822b4eb000
close(3)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/usr/lib/x86_64-linux-gnu/libhogweed.so.4", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\220e\0\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0644, st_size=207632, ...}) = 0
mmap(NULL, 2302648, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f822b085000
mprotect(0x7f822b0b7000, 2093056, PROT_NONE) = 0
mmap(0x7f822b2b6000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x31000) = 0x7f822b2b6000
close(3)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/usr/lib/x86_64-linux-gnu/libgmp.so.10", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\300\223\0\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0644, st_size=522664, ...}) = 0
mmap(NULL, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f8233c4b000
mmap(NULL, 2617792, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f822ae05000
mprotect(0x7f822ae84000, 2093056, PROT_NONE) = 0
mmap(0x7f822b083000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x7e000) = 0x7f822b083000
close(3)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/lib/x86_64-linux-gnu/libdbus-1.so.3", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\0\251\0\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0644, st_size=309392, ...}) = 0
mmap(NULL, 2405040, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f822abb9000
mprotect(0x7f822ac03000, 2097152, PROT_NONE) = 0
mmap(0x7f822ae03000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x4a000) = 0x7f822ae03000
close(3)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/usr/lib/x86_64-linux-gnu/libXau.so.6", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0P\16\0\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0644, st_size=14456, ...}) = 0
mmap(NULL, 2109720, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f822a9b5000
mprotect(0x7f822a9b7000, 2097152, PROT_NONE) = 0
mmap(0x7f822abb7000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x2000) = 0x7f822abb7000
close(3)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/usr/lib/x86_64-linux-gnu/libXdmcp.so.6", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\320\21\0\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0644, st_size=22640, ...}) = 0
mmap(NULL, 2117784, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f822a7af000
mprotect(0x7f822a7b4000, 2093056, PROT_NONE) = 0
mmap(0x7f822a9b3000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x4000) = 0x7f822a9b3000
close(3)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/lib/x86_64-linux-gnu/libexpat.so.1", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0@;\0\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0644, st_size=170128, ...}) = 0
mmap(NULL, 2265192, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f822a585000
mprotect(0x7f822a5ac000, 2097152, PROT_NONE) = 0
mmap(0x7f822a7ac000, 12288, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x27000) = 0x7f822a7ac000
close(3)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/usr/lib/x86_64-linux-gnu/libXt.so.6", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\0201\1\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0644, st_size=425552, ...}) = 0
mmap(NULL, 2523872, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f822a31c000
mprotect(0x7f822a37e000, 2097152, PROT_NONE) = 0
mmap(0x7f822a57e000, 24576, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x62000) = 0x7f822a57e000
mmap(0x7f822a584000, 736, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x7f822a584000
close(3)                                = 0
mmap(NULL, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f8233c49000
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/lib/x86_64-linux-gnu/libpcre.so.3", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\340\24\0\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0644, st_size=468920, ...}) = 0
mmap(NULL, 2564360, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f822a0a9000
mprotect(0x7f822a11b000, 2093056, PROT_NONE) = 0
mmap(0x7f822a31a000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x71000) = 0x7f822a31a000
close(3)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/usr/lib/x86_64-linux-gnu/libffi.so.6", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\200\27\0\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0644, st_size=31104, ...}) = 0
mmap(NULL, 2127368, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f8229ea1000
mprotect(0x7f8229ea8000, 2093056, PROT_NONE) = 0
mmap(0x7f822a0a7000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x6000) = 0x7f822a0a7000
close(3)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/lib/x86_64-linux-gnu/libuuid.so.1", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\320\24\0\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0644, st_size=18976, ...}) = 0
mmap(NULL, 2113904, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f8229c9c000
mprotect(0x7f8229ca0000, 2093056, PROT_NONE) = 0
mmap(0x7f8229e9f000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x3000) = 0x7f8229e9f000
close(3)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/lib/x86_64-linux-gnu/libkeyutils.so.1", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\300\22\0\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0644, st_size=14256, ...}) = 0
mmap(NULL, 2109456, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f8229a98000
mprotect(0x7f8229a9b000, 2093056, PROT_NONE) = 0
mmap(0x7f8229c9a000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x2000) = 0x7f8229c9a000
close(3)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/usr/lib/x86_64-linux-gnu/libwind.so.0", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\240\16\0\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0644, st_size=166128, ...}) = 0
mmap(NULL, 2261136, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f822986f000
mprotect(0x7f8229896000, 2097152, PROT_NONE) = 0
mmap(0x7f8229a96000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x27000) = 0x7f8229a96000
close(3)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/usr/lib/x86_64-linux-gnu/libheimbase.so.1", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\300(\0\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0644, st_size=60928, ...}) = 0
mmap(NULL, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f8233c47000
mmap(NULL, 2157176, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f8229660000
mprotect(0x7f822966e000, 2093056, PROT_NONE) = 0
mmap(0x7f822986d000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0xd000) = 0x7f822986d000
close(3)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/usr/lib/x86_64-linux-gnu/libhx509.so.5", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0 \20\1\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0644, st_size=304072, ...}) = 0
mmap(NULL, 2400264, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f8229415000
mprotect(0x7f822945b000, 2097152, PROT_NONE) = 0
mmap(0x7f822965b000, 16384, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x46000) = 0x7f822965b000
mmap(0x7f822965f000, 8, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x7f822965f000
close(3)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/usr/lib/x86_64-linux-gnu/libsqlite3.so.0", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0000\300\0\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0644, st_size=1054144, ...}) = 0
mmap(NULL, 3151160, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f8229113000
mprotect(0x7f822920f000, 2097152, PROT_NONE) = 0
mmap(0x7f822940f000, 20480, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0xfc000) = 0x7f822940f000
mmap(0x7f8229414000, 1336, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x7f8229414000
close(3)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/lib/x86_64-linux-gnu/libcrypt.so.1", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0p\v\0\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0644, st_size=39232, ...}) = 0
mmap(NULL, 2322912, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f8228edb000
mprotect(0x7f8228ee4000, 2093056, PROT_NONE) = 0
mmap(0x7f82290e3000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x8000) = 0x7f82290e3000
mmap(0x7f82290e5000, 184800, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x7f82290e5000
close(3)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/lib/x86_64-linux-gnu/libsystemd.so.0", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\0\0\0\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0644, st_size=544880, ...}) = 0
mmap(NULL, 549169, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f8233bc0000
mmap(0x7f8233c42000, 16384, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x81000) = 0x7f8233c42000
mmap(0x7f8233c46000, 305, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x7f8233c46000
close(3)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/lib/x86_64-linux-gnu/libselinux.so.1", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\200_\0\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0644, st_size=146672, ...}) = 0
mmap(NULL, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f8233bbe000
mmap(NULL, 2250560, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f8228cb5000
mprotect(0x7f8228cd8000, 2093056, PROT_NONE) = 0
mmap(0x7f8228ed7000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x22000) = 0x7f8228ed7000
mmap(0x7f8228ed9000, 5952, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x7f8228ed9000
close(3)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/lib/x86_64-linux-gnu/liblzma.so.5", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\220 \0\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0644, st_size=141552, ...}) = 0
mmap(NULL, 2236536, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f8228a92000
mprotect(0x7f8228ab4000, 2093056, PROT_NONE) = 0
mmap(0x7f8228cb3000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x21000) = 0x7f8228cb3000
close(3)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/lib/x86_64-linux-gnu/libgcrypt.so.20", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\0\253\0\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0644, st_size=1107992, ...}) = 0
mmap(NULL, 3204256, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f8228783000
mprotect(0x7f822888a000, 2093056, PROT_NONE) = 0
mmap(0x7f8228a89000, 36864, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x106000) = 0x7f8228a89000
close(3)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or directory)
open("/lib/x86_64-linux-gnu/libgpg-error.so.0", O_RDONLY|O_CLOEXEC) = 3
read(3, "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\320(\0\0\0\0\0\0"..., 832) = 832
fstat(3, {st_mode=S_IFREG|0644, st_size=80496, ...}) = 0
mmap(NULL, 2175544, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3, 0) = 0x7f822856f000
mprotect(0x7f8228581000, 2097152, PROT_NONE) = 0
mmap(0x7f8228781000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x12000) = 0x7f8228781000
close(3)                                = 0
mmap(NULL, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f8233bbc000
mmap(NULL, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f8233bba000
mmap(NULL, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f8233bb8000
mmap(NULL, 12288, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7f8233bb5000
arch_prctl(ARCH_SET_FS, 0x7f8233bb5940) = 0
mprotect(0x7f8230eb0000, 16384, PROT_READ) = 0
mprotect(0x7f8228781000, 4096, PROT_READ) = 0
mprotect(0x7f8228a89000, 8192, PROT_READ) = 0
mprotect(0x7f822eb19000, 4096, PROT_READ) = 0
mprotect(0x7f8228cb3000, 4096, PROT_READ) = 0
mprotect(0x7f8231671000, 4096, PROT_READ) = 0
mprotect(0x7f822a31a000, 4096, PROT_READ) = 0
mprotect(0x7f8228ed7000, 4096, PROT_READ) = 0
mprotect(0x7f8230af1000, 4096, PROT_READ) = 0
mprotect(0x7f8233c42000, 12288, PROT_READ) = 0
mprotect(0x7f82290e3000, 4096, PROT_READ) = 0
mprotect(0x7f822f044000, 4096, PROT_READ) = 0
mprotect(0x7f822940f000, 12288, PROT_READ) = 0
mprotect(0x7f822cb23000, 4096, PROT_READ) = 0
mprotect(0x7f822fe30000, 4096, PROT_READ) = 0
mprotect(0x7f822bdac000, 4096, PROT_READ) = 0
mprotect(0x7f822c27f000, 4096, PROT_READ) = 0
mprotect(0x7f822bfde000, 4096, PROT_READ) = 0
mprotect(0x7f8229a96000, 4096, PROT_READ) = 0
mprotect(0x7f822986d000, 4096, PROT_READ) = 0
mprotect(0x7f822965b000, 8192, PROT_READ) = 0
mprotect(0x7f8229c9a000, 4096, PROT_READ) = 0
mprotect(0x7f8229e9f000, 4096, PROT_READ) = 0
mprotect(0x7f822a0a7000, 4096, PROT_READ) = 0
mprotect(0x7f822abb7000, 4096, PROT_READ) = 0
mprotect(0x7f822a9b3000, 4096, PROT_READ) = 0
mprotect(0x7f822ed3b000, 4096, PROT_READ) = 0
mprotect(0x7f8233351000, 4096, PROT_READ) = 0
mprotect(0x7f822d868000, 4096, PROT_READ) = 0
mprotect(0x7f822da73000, 4096, PROT_READ) = 0
mprotect(0x7f822a57e000, 4096, PROT_READ) = 0
mprotect(0x7f822a7ac000, 8192, PROT_READ) = 0
mprotect(0x7f822ae03000, 4096, PROT_READ) = 0
mprotect(0x7f822b083000, 4096, PROT_READ) = 0
mprotect(0x7f822b4eb000, 8192, PROT_READ) = 0
mprotect(0x7f822b2b6000, 4096, PROT_READ) = 0
mprotect(0x7f822b6ff000, 4096, PROT_READ) = 0
mprotect(0x7f822b932000, 4096, PROT_READ) = 0
mprotect(0x7f822bb8c000, 40960, PROT_READ) = 0
mprotect(0x7f822c506000, 12288, PROT_READ) = 0
mprotect(0x7f822c714000, 4096, PROT_READ) = 0
mprotect(0x7f822c91f000, 4096, PROT_READ) = 0
mprotect(0x7f822cd50000, 8192, PROT_READ) = 0
mprotect(0x7f822d017000, 57344, PROT_READ) = 0
mprotect(0x7f822d237000, 4096, PROT_READ) = 0
mprotect(0x7f822d441000, 4096, PROT_READ) = 0
mprotect(0x7f822d651000, 4096, PROT_READ) = 0
mprotect(0x7f822e4b8000, 4096, PROT_READ) = 0
mprotect(0x7f822dcc6000, 4096, PROT_READ) = 0
mprotect(0x7f82304a5000, 4096, PROT_READ) = 0
mprotect(0x7f822e1a5000, 4096, PROT_READ) = 0
mprotect(0x7f822df6e000, 24576, PROT_READ) = 0
mprotect(0x7f822e6d2000, 4096, PROT_READ) = 0
mprotect(0x7f822e910000, 8192, PROT_READ) = 0
mprotect(0x7f822f461000, 4096, PROT_READ) = 0
mprotect(0x7f822f255000, 4096, PROT_READ) = 0
mprotect(0x7f822f7af000, 49152, PROT_READ) = 0
mprotect(0x7f822f9fa000, 4096, PROT_READ) = 0
mprotect(0x7f822fc17000, 4096, PROT_READ) = 0
mprotect(0x7f8230041000, 4096, PROT_READ) = 0
mprotect(0x7f823028a000, 4096, PROT_READ) = 0
mprotect(0x7f82308c0000, 114688, PROT_READ) = 0
mprotect(0x7f82310cf000, 4096, PROT_READ) = 0
mprotect(0x7f8231449000, 40960, PROT_READ) = 0
mprotect(0x7f8231b5d000, 40960, PROT_READ) = 0
mprotect(0x7f8231eb6000, 24576, PROT_READ) = 0
mprotect(0x7f8232b6a000, 253952, PROT_READ) = 0
mprotect(0x7f8232e09000, 8192, PROT_READ) = 0
mprotect(0x7f823301b000, 4096, PROT_READ) = 0
mprotect(0x7f82335d3000, 32768, PROT_READ) = 0
mprotect(0x7f8233828000, 8192, PROT_READ) = 0
mprotect(0x7f8233a9a000, 4096, PROT_READ) = 0
mprotect(0x55d2a51b7000, 28672, PROT_READ) = 0
mprotect(0x7f8233cc1000, 4096, PROT_READ) = 0
munmap(0x7f8233c5d000, 393940)          = 0
set_tid_address(0x7f8233bb5c10)         = 18150
set_robust_list(0x7f8233bb5c20, 24)     = 0
rt_sigaction(SIGRTMIN, {0x7f823145eb40, [], SA_RESTORER|SA_SIGINFO, 0x7f823146a630}, NULL, 8) = 0
rt_sigaction(SIGRT_1, {0x7f823145ebd0, [], SA_RESTORER|SA_RESTART|SA_SIGINFO, 0x7f823146a630}, NULL, 8) = 0
rt_sigprocmask(SIG_UNBLOCK, [RTMIN RT_1], NULL, 8) = 0
getrlimit(RLIMIT_STACK, {rlim_cur=8192*1024, rlim_max=RLIM64_INFINITY}) = 0
brk(NULL)                               = 0x55d2a6fff000
brk(0x55d2a7020000)                     = 0x55d2a7020000
statfs("/sys/fs/selinux", 0x7ffd54d98f70) = -1 ENOENT (No such file or directory)
statfs("/selinux", 0x7ffd54d98f70)      = -1 ENOENT (No such file or directory)
open("/proc/filesystems", O_RDONLY)     = 3
fstat(3, {st_mode=S_IFREG|0444, st_size=0, ...}) = 0
read(3, "nodev\tsysfs\nnodev\trootfs\nnodev\tr"..., 1024) = 481
read(3, "", 1024)                       = 0
close(3)                                = 0
access("/etc/selinux/config", F_OK)     = -1 ENOENT (No such file or directory)
futex(0x7f822bb97460, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f822e4ba4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f822e4ba4a8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
brk(0x55d2a7041000)                     = 0x55d2a7041000
getrandom("\255", 1, GRND_NONBLOCK)     = 1
getrusage(0x1 /* RUSAGE_??? */, {ru_utime={0, 13000}, ru_stime={0, 12000}, ...}) = 0
getrandom("\346\37\363\3635\334R\217=;\335\321\363j\200gk\214z\311\3278\273P\20\24u_\300\3\214>", 32, 0) = 32
getrandom("T\231\10\30\300\357F\0225\342\22\313aLQ1\254\35\231a\207\337\377:\376\260l\377d\177?\1", 32, 0) = 32
getrandom("\26\327\236\200\236\35\23J", 8, 0) = 8
stat("/etc/gnutls/default-priorities", 0x7ffd54d98f90) = -1 ENOENT (No such file or directory)
futex(0x7f823145605c, FUTEX_WAKE_PRIVATE, 2147483647) = 0
futex(0x7f8231456068, FUTEX_WAKE_PRIVATE, 2147483647) = 0
setsid()                                = 18150
clone(child_stack=0, flags=CLONE_CHILD_CLEARTID|CLONE_CHILD_SETTID|SIGCHLD, child_tidptr=0x7f8233bb5c10) = 18151
strace: Process 18151 attached
[pid 18150] futex(0x7f8231b68138, FUTEX_WAKE_PRIVATE, 2147483647 <unfinished ...>
[pid 18151] set_robust_list(0x7f8233bb5c20, 24) = 0
[pid 18151] execve("x2goclient", ["x2goclient", "--unixhelper"], [/* 87 vars */] <unfinished ...>
[pid 18150] <... futex resumed> )       = 0
[pid 18150] open("/usr/lib/locale/locale-archive", O_RDONLY|O_CLOEXEC) = 3
[pid 18151] <... execve resumed> )      = -1 ENOENT (No such file or directory)
[pid 18150] fstat(3, {st_mode=S_IFREG|0644, st_size=96603904, ...}) = 0
[pid 18151] write(2, "Failed to re-execute process as "..., 58 <unfinished ...>
[pid 18150] mmap(NULL, 96603904, PROT_READ, MAP_PRIVATE, 3, 0) = 0x7f822294e000
[pid 18150] close(3)                    = 0
[pid 18150] futex(0x7f822e4ba4a8, FUTEX_WAKE_PRIVATE, 2147483647Failed to re-execute process as UNIX cleanup helper tool:  <unfinished ...>
[pid 18151] <... write resumed> )       = 58
[pid 18151] write(2, "No such file or directory", 25No such file or directory) = 25
[pid 18151] write(2, "\n", 1
)           = 1
[pid 18151] write(2, "Terminating and killing parent.", 31Terminating and killing parent.) = 31
[pid 18151] write(2, "\n", 1
)           = 1
[pid 18151] write(2, "Please report a bug, refer to th"..., 89 <unfinished ...>
[pid 18150] <... futex resumed> )       = 0
Please report a bug, refer to this documentation: http://wiki.x2go.org/doku.php/wiki:bugs[pid 18151] <... write resumed> )       = 89
[pid 18150] eventfd2(0, EFD_CLOEXEC|EFD_NONBLOCK <unfinished ...>
[pid 18151] write(2, "\n", 1 <unfinished ...>
[pid 18150] <... eventfd2 resumed> )    = 3

[pid 18151] <... write resumed> )       = 1
[pid 18150] clock_getres(CLOCK_MONOTONIC,  <unfinished ...>
[pid 18151] getppid()                   = 18150
[pid 18151] kill(18150, SIGTERM)        = 0
[pid 18150] <... clock_getres resumed> {0, 1}) = 0
[pid 18150] --- SIGTERM {si_signo=SIGTERM, si_code=SI_USER, si_pid=18151, si_uid=2000} ---
[pid 18150] +++ killed by SIGTERM +++
futex(0x7f8231b68138, FUTEX_WAKE_PRIVATE, 2147483647) = 0
exit_group(1)                           = ?
+++ exited with 1 +++

-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-_-
 Eskimo North Linux Friendly Internet Access, Shell Accounts, and Hosting.
   Knowledgeable human assistance, not telephone trees or script readers.
 See our web site: http://www.eskimo.com/ (206) 812-0051 or (800) 246-6874.


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1139; Package x2goclient. (Mon, 23 Jan 2017 16:10:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 23 Jan 2017 16:10:02 GMT) (full text, mbox, link).


Message #10 received at 1139@bugs.x2go.org (full text, mbox, reply):

From: Mihai Moldovan <ionic@ionic.de>
To: 1139-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 1139@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as pending for release
Date: Mon, 23 Jan 2017 17:05:01 +0100 (CET)
tag #1139 pending
fixed #1139 4.1.0.0
thanks

Hello,

X2Go issue #1139 (src:x2goclient) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=b0943be

The issue will most likely be fixed in src:x2goclient (4.1.0.0).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit b0943be07d7a3eba3f403fd488f5044a6637862c
Author: Mihai Moldovan <ionic@ionic.de>
Date:   Mon Jan 23 16:51:02 2017 +0100

    src/x2goclient.cpp: use $PATH-exploration when re-executing x2goclient in UNIX cleanup helper mode. Fixes: #1139.

diff --git a/debian/changelog b/debian/changelog
index d608793..35c0c09 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -549,6 +549,8 @@ x2goclient (4.1.0.0-0x2go1) UNRELEASED; urgency=medium
       in MacPorts.
     - src/x2goclient.cpp: no need to put new_argv_c_str std::vector onto the
       heap. Keep it on the stack.
+    - src/x2goclient.cpp: use $PATH-exploration when re-executing x2goclient
+      in UNIX cleanup helper mode. Fixes: #1139.
 
   [ Bernard Cafarelli ]
   * New upstream version (4.1.0.0):


Added tag(s) pending. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Mon, 23 Jan 2017 16:10:03 GMT) (full text, mbox, link).


Marked as fixed in versions 4.1.0.0. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Mon, 23 Jan 2017 16:10:03 GMT) (full text, mbox, link).


Message sent on to Robert Dinse <nanook@eskimo.com>:
Bug#1139. (Mon, 23 Jan 2017 16:10:04 GMT) (full text, mbox, link).


Marked as found in versions 4.1.0.0~1515~ubuntu16.04.1. Request was from Stefan Baur <X2Go-ML-1@baur-itcs.de> to 1140-submit@bugs.x2go.org. (Wed, 25 Jan 2017 11:25:02 GMT) (full text, mbox, link).


Merged 1139 1140 Request was from Stefan Baur <X2Go-ML-1@baur-itcs.de> to 1140-submit@bugs.x2go.org. (Wed, 25 Jan 2017 11:25:02 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1139; Package x2goclient. (Wed, 22 Feb 2017 04:15:05 GMT) (full text, mbox, link).


Acknowledgement sent to X2Go Release Manager <git-admin@x2go.org>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 22 Feb 2017 04:15:06 GMT) (full text, mbox, link).


Message #26 received at 1139@bugs.x2go.org (full text, mbox, reply):

From: X2Go Release Manager <git-admin@x2go.org>
To: 1139-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 1139@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as closed
Date: Wed, 22 Feb 2017 05:10:08 +0100 (CET)
close #1139
thanks

Hello,

we are very hopeful that X2Go issue #1139 reported by you
has been resolved in the new release (4.1.0.0) of the
X2Go source project »src:x2goclient«.

You can view the complete changelog entry of src:x2goclient (4.1.0.0)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2goclient.

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=a972b0cd4622a101b1ddb3d4d3b0cf1f71dbfd6d;hp=550ae93c0ea493e0c740d6c1c1e83b014d8265dd

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2goclient.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2goclient
Version: 4.1.0.0-0x2go1
Status: RELEASE
Date: Wed, 22 Feb 2017 05:02:35 +0100
Fixes: 910 1024 1096 1105 1124 1139
Changes: 
 x2goclient (4.1.0.0-0x2go1) RELEASED; urgency=medium
 .
   [ Mihai Moldovan ]
   * New upstream version (4.1.0.0):
     - src/sessionbutton.cpp: replace drop down menu button on session buttons
       with a more prominent, bigger settings gear icon. Requested for
       visibility.
     - src/onmainwindow.cpp: add debug statements to createRSAKey () regarding
       the host pub key locations on OS X.
     - src/onmainwindow.cpp: fix error message string in
       printSshDError_noHostPubKey ().
     - src/sshmasterconnection.cpp: add SecurID prompt to challenge auth code
       prompts.
     - src/sharewidget.cpp: fix compile on UNIX-like platforms by defaulting to
       ISO-8859-1 not just on Linux but also other platforms. Fixes: #1124.
     - src/x2goutils.cpp: don't try to wrap absolute paths as legacy resource
       URIs in wrap_legacy_resource_URIs (). Fixes: #910.
     - {res/img/svg/,res/resources.qrc}: add new file hamburger.svg, a
       custom-created hamburger icon.
     - src/sessionbutton.cpp: replace drop down menu button on session buttons
       again with the custom-created hamburger icon. Also fix positioning
       issues in mini mode.
     - src/onmainwindow.{cpp,h}: add new function images_resource_path (),
       similar to iconsPath () but without explicitly referring to icons.
     - src/sessionbutton.cpp: we cannot use ".." in resource paths to move up
       one level, so use images_resource_path () instead and hope that we
       finally get a yummy hamburger.
     - src/onmainwindow.{cpp,h}: let iconsPath () take a const-reference
       instead of an object and make it a const member function.
     - src/onmainwindow.{cpp,h}: let images_resource_path () take a new,
       optional "base" parameter, that might be empty and is put in-between the
       fixed resource path string and the filename parameter.
     - src/onmainwindow.cpp: use images_resource_path () in iconsPath ().
     - src/sessionbutton.cpp: instead of using the hamburger.svg file directly,
       render it to a raster image and use this Pixmap as the icon file -
       otherwise the icon will not show up. Also change the icon size back to
       16x16 px, that's big enough.
     - src/onmainwindow.cpp: remove left-over debug test message.
     - {unixhelper.{cpp,h},x2goclient.pro{,.maemo}}: add unixhelper stub.
     - unixhelper.{cpp,h}: implement cleanup program for process group.
     - x2goclient.cpp: wrap X2Go Client main function and use that.
     - x2goclient.cpp: add fork_helper() function to start up the UNIX cleanup
       helper.
     - x2goclient.cpp: use setsid() on UNIX to become session and process group
       leader. If that fails, fork, terminate the parent and execute setsid()
       in the child process. Use fork_helper() to start the UNIX cleanup helper
       in a child process and continue with the main application in the parent.
     - x2goclient.cpp: add myself to copyright header.
     - x2goclient.cpp: add legacy <sys/types.h> header needed for old operating
       systems.
     - x2goclient.cpp: fix std::edit -> std::exit typo.
     - unixhelper.{h,cpp}: also include <QtCore/qglobal.h> to have Q_OS_UNIX
       defined on UNIX-based platforms. Move guards around.
     - unixhelper.h: forgot to declare type of unix_cleanup() function.
     - {unixhelper.{cpp,h},x2goclient.cpp}: unixhelper should really be a
       (module) namespace, not a class.
     - unixhelper.{cpp,h}: add documentation/comments.
     - x2goclient.cpp: return return value of unixhelper::unix_cleanup().
     - unixhelper.cpp: kill process group on error.
     - unixhelper.{cpp,h}: implement signal unblocking in
       unixhelper::unix_cleanup(). Update documentation.
     - unixhelper.cpp: port from std::signal() to sigaction(). Handle errors.
     - x2goclient.cpp: clean up. We don't care if setsid() fails or succeeds
       and we certainly do not need to fork to force it to succeed. Whether we
       are a process group leader already or become one doesn't matter, if the
       end result is that we are process group leader.
     - x2goclient.cpp: don't start the UNIX cleanup helper process right after
       forking, but introduce a new command line option --unixhelper and
       re-execute the main binary with this new option to indicate that the
       UNIX cleanup helper tool is requested. It is necessary to call exec()
       after fork on virtually all operating system, especially on OS X.
     - x2goclient.cpp: fix compile problems introduced with the last commit.
     - x2goclient.cpp: fix string comparison.
     - x2goclient.cpp: create new argv array on the heap instead of on the
       stack. Stack data will be invalid once the function goes out of scope
       (which is what execv is doing.)
     - unixhelper.{cpp,h}: raise sleeping time to two seconds and grace period
       to 10 seconds.
     - {unixhelper.{cpp,h},x2goclient.cpp}: switch main cleanup handling to
       parent PID polling.
     - unixhelper.{cpp,h}: ignore SIGINT, SIGTERM, SIGPIPE, SIGQUIT, SIGUSR1
       and SIGUSR2.
     - x2goclient.cpp: fix failing exec() call for the UNIX helper utility:
       correctly terminate arguments vector.
     - {appdialog,configwidget,onmainwindow,unixhelper}.cpp: fix some compile
       warnings with GCC. Fix a few whitespace issues.
     - appdialog.cpp: initialize parent in default case. Another GCC compile
       warning fix.
     - onmainwindow.cpp: correctly use ~/.x2go/.ssh as ssh directory when
       starting sshd in user mode. Put the authorized_keys file in there. Check
       and set correct permissions for both the directory and authorized_keys
       file. Generalize some Windows-specific sections by using QDir and QFile.
     - compat.{cpp,h}: new files. Implements strndup on OS X 10.6 and below.
       Add to x2goclient.cpp, x2goclient.pro and x2goclient.pro.maemo.
     - compat.{cpp,h}: remove inline keyword, because function is not defined
       in header file.
     - compat.h: include QtCore/qglobal.h for Q_OS_... macros.
     - pulsemanager.{cpp,h}: new class for PulseAudio management.
     - x2goclient.pro{,.maemo}: reference new pulsemanager.{cpp,h} files.
     - macbuild.sh: add new MACPORTS_PREFIX detection/variable.
     - macbuild.sh: add new dependency_error() helper function.
     - macbuild.sh: add new lazy_canonical_path() helper function.
     - macbuild.sh: add new get_nesting_level() helper function.
     - macbuild.sh: add new repeat_str() helper function.
     - macbuild.sh: refactor nxproxy detection to use MACPORTS_PREFIX.
     - macbuild.sh: add EXE_DIR and FRAMEWORKS_DIR internal variables. Create
       directories based on that. Use them when bundling.
     - macbuild.sh: define PulseAudio libraries and binaries to be later
       copied. Discover them using MACPORTS_PREFIX. Error out if any component
       was not found.
     - macbuild.sh: copy PulseAudio libraries and binaries.
     - macbuild.sh: add phase output for bundling nxproxy.
     - macbuild.sh: add work-in-progress PulseAudio bundling. Needs to be ripped
       apart and be redone, because dylibbundler is not smart enough to handle
       our case.
     - macbuild.sh: add Linux library file name scheme regex as a precaution.
     - macbuild.sh: directories are "executable", so the first check must
       explicitly include a check for the argument being not a directory.
     - macbuild.sh: add some more debugging output.
     - macbuild.sh: remove libpulse and libpulsecore from libraries to be
       bundled, as something else will bundle them anyway.
     - macbuild.sh: use while-read-loop and find to actually recurse through
       directories.
     - macbuild.sh: check current file name against regex, not a (now) full
       path.
     - macbuild.sh: add the correct file path to the library bundling array.
     - macbuild.sh: when actually bundling libraries, use @executable_path
       instead of @loader_path. Will need testing.
     - macbuild.sh: fix echo call to also show the intermediate lib dir, not
       just the library file name. Helps debugging.
     - macbuild.sh: also install libraries into staging area with intermediate
       library path. Putting everything into a single place is a stupid idea.
     - deduplicate.sh: add new, more or less Proof of Concept, and Work in
       Progress file deduplication script.
     - deduplicate.sh: add duplicates-to-real mapping.
     - deduplicate.sh: add missed local variable declaration.
     - deduplicate.sh: new function for parsing otool's output and printing
       library dependencies if no error occurred.
     - deduplicate.sh: non-functional: change WARNING to ERROR in error
       messages.
     - deduplicate.sh: add first skeleton for library dependency rewriting of
       deleted duplicates.
     - deduplicate.sh: correctly unset an array element.
     - deduplicate.sh: change range-based for loops to "${!arr[@]}" to handle
       "sparse" arrays correctly.
     - deduplicate.sh: quote "${arr[@]}" correctly to not suddenly force word
       splitting.
     - deduplicate.sh: fix parse_otool_output: we want to return failure only
       iff any of the strings are present in otool's output and actually handle
       the failure string *ARRAY* correctly as that.
     - deduplicate.sh: change exit to return in parse_otool_output.
     - deduplicate.sh: record crafted "library path" values in duplicates
       replacement to_files array.
     - deduplicate.sh: debug parse_otool_output fiercely for the time being.
     - deduplicate.sh: prevent word splitting when parsing otool's output. We
       want the raw bits.
     - deduplicate.sh: switch to range-based for loop in fixup section for
       duplicate array walking as we need to access the same element index in
       the replacement array.
     - deduplicate.sh: add more useful information in fixup section's error
       message.
     - deduplicate.sh: unstub fixup section.
     - deduplicate.sh: parse_otool_output: jump over first matching entry,
       which is - hopefully - the id line.
     - deduplicate.sh: actually include file name in install_name_tool pseudo
       output.
     - deduplicate.sh: save dependency format base string as a readonly
       variable and use that instead of repeating a fixed string.
     - deduplicate.sh: copy lazy_canonical_path from macbuild.sh for now.
       deduplicate.sh will eventually be merged into macbuild.sh anyway.
     - deduplicate.sh: more temporary debugging output in fixup section.
     - deduplicate.sh: surprisingly, it turned out that only checking the
       duplicate's basename against the current dependency's basename is not
       good enough. Actually construct "the real dependency-format duplicate
       string" and check it against "the real dependency". Even this is still
       not good enough as it needs a bit cleanup - coming up next.
     - deduplicate.sh: cleanup as announced in the last commit - using
       lazy_canonical_path.
     - deduplicate.sh: remove a bit of noisy debug output, but turn on
       parse_otool_output debugging.
     - deduplicate.sh: fix wrong return value capture. We want to check the
       return value of the executed function/command, not that of "typeset".
     - deduplicate.sh: add WARNING to status message.
     - deduplicate.sh: remove some noisy debug output.
     - macbuild.sh: replace tabs with two spaces. No functional changes.
     - deduplicate.sh: replace tabs with two spaces. No functional changes.
     - macbuild.sh: merge deduplicate.sh content in. Also enable the
       functionality "for real", not just as a dry-run.
     - macbuild.sh: spelling fix.
     - macbuild.sh: more more debug messages and a whitespace change.
     - macbuild.sh: fix removal of base prefix in deduplication if base prefix
       ends in a slash.
     - macbuild.sh: copy "special" files, so that they can be removed later on.
     - macbuild.sh: rewrite ID line detection algorithm. Modules don't seem to
       be needing one, so skipping the first dependency line incidentally skips
       a "real" dependency for modules.
     - pulsemanager.{cpp,h}: use name and underscore for member variables, not
       underscore and name.
     - pulsemanager.cpp: minor non-behavior changing fixes.
     - pulsemanager.{cpp,h}: reformat only.
     - pulsemanager.cpp: use initializer list for constructor.
     - pulsemanager.{cpp,h}: add pulse_version_{major,minor}_ member variables.
     - pulsemanager.cpp: reformat only.
     - pulsemanager.{cpp,h}: switch port definitions to std::uint16_t.
     - pulsemanager.h: add std:: namespace selector for uint32_t version
       variables.
     - pulsemanager.{cpp,h}: add ESD support.
     - pulsemanager.{cpp,h}: rename relaunch () to restart ().
     - pulsemanager.cpp: reformat only.
     - pulsemanager.{cpp,h}: fixup preprocessor usage.
     - pulsemanager.{cpp,h}: add server_args_, server_binary_ and
       server_working_dir_ class variables.
     - pulsemanager.cpp: make start () wrap the "real" OS-specific start
       functions.
     - pulsemanager.{cpp,h}: new function create_client_dir ().
     - pulsemanager.cpp: add Windows support to shutdown ().
     - pulsemanager.cpp: add cleanup support to on_pulse_finished ().
     - pulsemanager.cpp: add Windows stuff to initial env in constructor.
     - pulsemanager.{cpp,h}: add new function start_generic () to split off
       common functionality.
     - pulsemanager.cpp: let start_osx () use start_generic ().
     - pulsemanager.{cpp,h}: implement start_win () as part of Windows
       functionality.
     - pulsemanager.cpp: also load module-esound-protocol-tcp module.
     - pulsemanager.cpp: make generate_server_config () Windows-compatible.
     - pulsemanager.cpp: make generate_client_config () Windows-compatible.
     - pulsemanager.cpp: only play startup sound if DEBUG macro is defined.
     - pulsemanager.cpp: make startup sound playing via
       slot_play_startup_sound () Windows-compatible.
     - pulsemanager.cpp: typo fix in variable name server_working_dir_.
     - pulsemanager.{cpp,h}: find_port () actually returns a value, fix
       declaration accordingly.
     - pulsemanager.cpp: fix compile errors in find_port () by renaming the ret
       or port variable to search_port.
     - pulsemanager.cpp: fix another compile error due to typo'd versions of
       generate_server_config () and generate_client_config ().
     - pulsemanager.cpp: another typo fix: findPort -> find_port.
     - pulsemanager.cpp: reorder member variables in initialization list.
       Compile warning fix.
     - pulsemanager.cpp: add "dummy" start_linux () function.
     - pulsemanager.cpp: generate platform-dependent values for member
       variables server_working_dir_ and server_binary_ in constructor. We need
       them right away.
     - pulsemanager.{cpp,h}: new member function fetch_pulseaudio_version ()
       with first skeleton. Call it in the constructor.
     - pulsemanager.cpp: re-initialize buffer string on each run while getting
       CWD on Linux.
     - pulsemanager.cpp: fix some error messages by removing redundant
       newlines.
     - pulsemanager.{cpp,h}: some older PA versions used the major, minor and
       micro numbering scheme together with a descriptive string. Add new
       member variables for this and initialize them correctly.
     - pulsemanager.h: reformat a bit by adding newlines and moving lines in a
       (hopefully) logical fashion.
     - pulsemanager.cpp: add algorithm for actually extracting PA version
       number.
     - pulsemanager.{cpp,h}: only allow changing PA or ESD ports when server is
       not currently running.
     - pulsemanager.{cpp,h}: add record and playback private members, as well
       as getters and setters.
     - pulsemanager.cpp: reorder member variables in initializer list.
     - pulsemanager.cpp: fix compile error in startup sound function.
     - pulsemanager.h: more moving around.
     - pulsemanager.cpp: use record and playback member variables.
     - pulsemanager.cpp: cleanup, don't use copy assignment operator when we
       just need to construct a new object.
     - macbuild.sh: PulseAudio has been updated to version 8.0. Reflect this.
     - macbuild.sh: libpulsecore.dylib also resides in the "private" pulseaudio
       subdirectory now, adding it to "special files workaround".
     - pulsemanager.cpp: remove config.pa while doing post-exit cleanups.
     - src/pulsemanager.{cpp,h}: add get_pulse_dir () for fetching the
       (OS-dependent) PulseAudio config and cookie directory.
     - src/pulsemanager.cpp: replace hardcoded modules paths with dynamic ones
       depending on the detected PA version.
     - src/pulsemanager.cpp: add "FIXME" debug logging (and cleanup.)
     - src/pulsemanager.cpp: backport fix for 526.
     - src/pulsemanager.cpp: backport fix for 422.
     - src/configdialog.{cpp,h}: add "no record" support for OS X (through
       PulseManager.)
     - src/configdialog.cpp: whitespace only.
     - src/onmainwindow.{cpp,h}: hook PulseManager in - for both OS X and
       Windows.
     - src/mediawidget.cpp: reflect new capabilities through PulseManager.
     - src/pulsemanager.h: move x2gologdebug.h inclusion into implementation
       file.
     - src/pulsemanager.cpp: output PA stdout/stderr via x2goDebug, not plainly
       to stdout.
     - src/configdialog.cpp: fix compile error by removing obsolete (and now
       faulty) line for removed restart message.
     - src/onmainwindow.cpp: fix compile errors due to misspelled function
       names.
     - src/pulsemanager.cpp: let start () act as a wrapper and do nothing if
       the PA server is already running.
     - src/onmainwindow.cpp: fix compile error due to misuse of #ifdef.
     - src/onmainwindow.cpp: convert QDir object to QString for further
       processing.
     - src/onmainwindow.cpp: make use of new PulseManager::start () behavior
       and always use it, no matter whether server is up already or not.
     - src/pulsemanager.cpp: fix compile error due to typo.
     - src/pulsemanager.cpp: hide Windows-only code behind #ifdefs. Otherwise
       we'll get compile failures on non-Windows platforms.
     - src/pulsemanager.{cpp,h}: add debugging setter and private variable.
     - src/pulsemanager.{cpp,h}: port to new debugging feature.
     - src/onmainwindow.cpp: port to new debugging feature of PulseManager.
     - src/pulsemanager.h: fix compile error due to mismatching function
       declaration for set_debug ().
     - res/sound: add startup.wav sound to be played back when starting the PA
       daemon in debug mode.
     - src/pulsemanager.cpp: don't time out while trying to start PA or paplay.
       "Handle" errors by printing out debug messages.
     - macbuild.sh: add support for copying resource files. Currently only used
       for startup.wav.
     - res: rename "sound" to "audio".
     - macbuild.sh: fix copying of resource files.
     - macbuild.sh: also add PA binaries to deduplication fixup list.
     - macbuild.sh: don't error out while executing parse_otool_output ().
     - macbuild.sh: save return value of parse_otool_output (). Otherwise we'll
       fetch the return value of "set", which is not really what we need.
     - src/pulsemanager.cpp: fix typo in fetch_pulseaudio_version (). Read
       standard output from temporary process, not our "main" server process
       (which at this point is not even started yet.)
     - src/pulsemanager.cpp: don't overwrite the temporary string variable for
       the current line with what was supposed to hold new data in
       fetch_pulseaudio_version ().
     - src/pulsemanager.{cpp,h}: rename on_pulse_finished () to
       slot_on_pulse_finished (). Oops...
     - src/pulsemanager.cpp: actually only play startup sound if debugging is
       enabled.
     - src/pulsemanager.cpp: don't insert stray newline into config.pa.
     - src/pulsemanager.cpp: insert PULSE_SERVER and PULSE_COOKIE variables
       into environment as used by PulseManager. Otherwise we won't be able to
       start binaries like paplay.
     - src/pulsemanager.cpp: don't remove PA config and log file in
       ~/.x2go/pulse on PA shutdown if debugging has been requested.
     - src/x2goutils.{cpp,h}: add new function find_binary (). Searches for a
       specific binary in a colon-separated list of paths. Really just a compat
       function, as Qt 5 includes QStandardPaths::findExecutable ().
     - src/pulsemanager.cpp: auto-detect PA binary in $PATH and MacPorts
       default prefix as well on OS X.
     - src/pulsemanager.cpp: add comments to Qt 4 code part.
     - src/pulsemanager.cpp: add reminder for Linux-implementation in
       slot_play_startup_sound ().
     - src/x2goutils.cpp: fix compile error.
     - src/pulsemanager.h: add new system_pulse_ variable to indicate that
       a system PA binary shall be used.
     - src/pulsemanager.cpp: correctly initialize and set system_pulse_ when
       required.
     - src/x2goutils.{cpp,h}: add application modality parameter to
       show_RichText_Generic_MsgBox () and its wrappers.
     - src/pulsemanager.cpp: add error message boxes throughout PulseManager.
       Don't just abort () the program.
     - src/x2goutils.h: fix compile error due to typo.
     - src/pulsemanager.cpp: fix compile error on Windows.
     - src/pulsemanager.cpp: fix startup when using the system-PA version.
     - src/pulsemanager.cpp: fix startup sound playback when using the
       system-PA version.
     - src/pulsemanager.cpp: add warning message boxes where appropriate.
     - src/pulsemanager.cpp: remove extraneous newlines from debug output.
     - src/x2goutils.cpp: fix faulty logic in find_binary (): only reset the
       given path to CWD iff it's actually empty. Not the other way around.
     - src/x2goutils.cpp: add some debug logging to find_binary ().
     - nsis/x2goclient.nsi: add startup.wav to installer package.
     - src/: new file windows_stdint.h for Windows-compatibility when using
       std::(u)int*_t types. These are only available with GCC in C++11 mode on
       Windows for some reason.
     - src/pulsemanager.h: use windows_stdint.h header on Windows, cstdint
       otherwise.
     - src/onmainwindow.cpp: short out code parts unconditionally checking for
       the userSshd variable. We don't need it on Windows (and don't define it
       on purpose) because using an user-mode SSH daemon is implied there (for
       now.)
     - src/onmainwindow.cpp: drop obsolete pulseVersionTest variable
       initialization in Windows-only code.
     - src/onmainwindow.cpp: drop obsolete pulseVersionIsLegacy variable
       initialization in Windows-only code.
     - src/onmainwindow.cpp: add another pair of braces to in_addr-type
       variable initialization on Windows to silence compiler warning.
     - src/onmainwindow.cpp: fix compile error on Windows after moving some
       code around.
     - src/onmainwindow.cpp: use correct C++ universal initializer for
       initializing in_addr-type variable, the C-style universal zero
       initializer won't cut it here.
     - src/pulsemanager.h: include accidentally omitted wapi.h header file.
     - src/pulsemanager.cpp: make PA version parsing function more generic and
       don't expect that a number is always terminated with a period or dash.
       Especially on Windows, with a PA version number of "6.0", this lead to
       errors. OS X was fine with its "8.0.0-something" version number, but the
       optional part at the end or even the micro version number could be
       missing any time.
     - src/pulsemanager.cpp: make sure that wherever we interface with non-Qt
       functions, paths are in native form (i.e., containing empty separators,
       instead of the "generic" slash UNIX-style separator.) Should fix a PA
       startup issue on Windows.
     - src/pulsemanager.cpp: fix PA version fetching on OS X again.
     - src/unixhelper.{cpp,h}: make argument of kill_pgroup () const.
     - src/unixhelper.h: style and general fixes within comments.
     - src/unixhelper.{cpp,h}: split off core functionality of kill_pgroup ()
       into a new function called real_kill_pgroup ().
     - src/unixhelper.{cpp,h}: rewrite kill_pgroup () to act as a wrapper
       around real_kill_pgroup (). Adjust comment. We need to do this so the
       cleanup process doesn't kill itself before all other processes in the
       process group are killed.
     - src/pulsemanager.cpp: remove unused variables.
     - src/unixhelper.cpp: code cleanup.
     - src/{unixhelper.cpp,x2goclient.cpp}: fix errno usage - save before use.
     - src/onmainwindow.cpp: document createRSAKey () because what it does is
       completely non-obvious.
     - src/onmainwindow.cpp: add support for explicitly setting the private key
       bit size based on type and use values (currently) regarded as secure to
       generateHostKey ().
     - src/onmainwindow.{cpp,h}: rename generateHostKey () to generateKey ()
       and add a boolean parameter with a default of false to request a public
       key. Change old invocations of generateHostKey () accordingly.
     - src/onmainwindow.cpp: refactor generateKey () a little bit to compact
       it.
     - src/onmainwindow.{cpp,h}: rewrite generateKey () function to actually
       also generate user keys. Now returns the private key file path (public
       key file path is trivially determined by appending ".pub" to that return
       value.) Change all locations referencing generateKey () to use the
       return value (if necessary) and remove dead code that was used to
       generate a user key manually previously.
     - src/onmainwindow.cpp: add more error handling to generateKey () and fix
       up a broken error-handling section.
     - src/onmainwindow.cpp: fix up a few debug strings.
     - src/{onmainwindow.{cpp,h},configdialog.cpp}: remove userSshd variable
       and code related to non-user-mode-sshd setups. Simplifies code a bit and
       we want to always start a user-mode OpenSSH server anyway. Also get rid
       of the clientport variable that is now unnecessary.
     - src/onmainwindow.cpp: when starting sshd on Unix-based plattforms, raise
       maximum startup time to 5 seconds and break out early, if the process
       went into running state earlier.
     - src/onmainwindow.cpp: uppercase key type in debug output and comment
       string in generateKey ().
     - src/onmainwindow.cpp: terminate sshd more correctly. First via terminate
       (), then wait up to 5 seconds, then via kill ().
     - src/onmainwindow.{cpp,h}: add new function check_key_type (). Takes a
       key type and checks for validity/if it's known.
     - src/onmainwindow.{cpp,h}: add new function key_type_to_string ().
       Returns a stringified version of the selected key type, after checking
       for validity.
     - src/onmainwindow.{cpp,h}: add new function default_size_for_key_type ().
       Returns the default key size in bits for the selected key type, after
       checking for validity.
     - src/onmainwindow.cpp: use the new functions in generateKey ().
     - src/onmainwindow.h: move generateKey () declaration around.
     - src/onmainwindow.{cpp,h}: reformat generateKey () only.
     - src/onmainwindow.{cpp,h}: move createRSAKey () around.
     - src/onmainwindow.{cpp,h}: reformat createRSAKey () only.
     - src/onmainwindow.cpp: let startSshd () act as a wrapper and be called
       multiple times. Check if the OpenSSH Server is already running and
       return true, otherwise try to start it.
     - src/onmainwindow.cpp: add some comments only to createRSAKey ().
     - src/onmainwindow.{cpp,h}: rename createRSAKey () to the more-appropriate
       name createKeyBundle (). Also add a key-type parameter and use it to
       select the required key type (and maybe generate it if necessary.) Also
       use the new functions to get a stringified version of the key type etc.
     - macbuild.sh: switch to bundling PA 9.0.
     - src/onmainwindow.cpp: move QProcess startup check in startSshd () to
       non-Windows code section and add a listening socket check loop. Windows
       uses other means of starting the daemon.
     - src/onmainwindow.cpp: add comment to last all-in listening check in
       startSshd ().
     - src/onmainwindow.cpp: add listening-check loop to the Windows-specific
       code of startSshd ().
     - src/onmainwindow.{cpp,h}: make startSshd () private. There's no need to
       keep it public, as only class-internal functions are using it.
     - src/onmainwindow.{cpp,h}: add ssh_key_type_ member variable and getter
       and setter to WinServerStarter class.
     - src/onmainwindow.{cpp,h}: add SSH key type parameter to startSshd ().
     - src/onmainwindow.cpp: pass new ssh_key_type_ member to startSshd () call
       in WinServerStarter::run ().
     - src/onmainwindow.cpp: pass key_type parameter to startSshd () in
       createKeyBundle ().
     - src/onmainwindow.cpp: add and use key_types parameter to
       startWinServers ().
     - src/onmainwindow.cpp: actually use key_type parameter in startSshd ()
       and make selection more generic.
     - src/onmainwindow.h: move WinServerStarter class definition around to
       hopefully get the definition of ONMainWindow::key_types.
     - src/onmainwindow.h: remove WWrapper definition, seems to be unused.
     - src/onmainwindow.{cpp,h}: don't try to initialize non-static
       ssh_key_type_ member variable directly, but in the constructor. Also,
       use the initializer list to initialize the other member variables
       directly.
     - src/onmainwindow.cpp: re-order initializer list of WinServerStarter
       constructor.
     - src/onmainwindow.h: actually, we do need startSshd () to be public. Move
       it back.
     - src/onmainwindow.cpp: only pass non-Cygwin paths to QFile::exists () in
       generateKey (). Refactor a bit to drop the now-unnecessary ret variable.
     - src/onmainwindow.cpp: use QFileInfo to get the key file's basename in
       exportDirs () instead of the old, potentially faulty string replace
       dance.
     - src/x2goutils.{cpp,h}: make find_binary () and add_to_path () available
       on all UNIX-based operating systems. We will need it for sftp-server
       discovery.
     - src/pulsemanager.cpp: refactor PA binary searching code. Less
       duplication now.
     - src/onmainwindow.cpp: fix sshd_config generation on UNIX by searching
       for the real sftp-server binary path.
     - src/pulsemanager.cpp: fix PA binary searching logic. We don't want to
       unconditionally set system_pulse_ to true if we found a binary... it
       might as well be the bundled one...
     - src/onmainwindow.cpp: move generateEtcFiles () call to startSshd (). We
       must make sure that the sshd_config file exists and is up-to-date, so
       let's always do it right before starting the sshd binary.
     - src/onmainwindow.cpp: stop duplicating the list of known sftp-server
       binary locations.
     - src/{onmainwindow,pulsemanager}.cpp: actually *use* what we got back
       from add_to_path ()... Fixes a few bugs here and there.
     - src/onmainwindow.cpp: remove trailing slash from Mageia/SUSE/Arch
       sftp-server binary search path.
     - src/x2goutils.cpp: add debugging output to add_to_path ().
     - src/x2goutils.cpp: fix add_to_path (). We want to remove trailing
       slashes from elements-to-add, not just fetch a trailing slash if
       encountered. Also, better don't compare a value from the original path
       value to itself, but rather to the things we want to add in order to
       remove duplicates, not remove most of the list of elements to add...
     - src/unixhelper.cpp: use cstdio instead of stdio.h. It's the C++ header
       and imports functions into the std namespace.
     - src/: create new file unix_stdint.h which imports the (u)int*_t types
       into the std namespace.
     - src/pulsemanager.h: use unix_stdint.h on non-Windows-platforms to get
       std::(u)int*_t types without having to use C++11.
     - src/pulsemanager.cpp: fix Linux-based code by fixing a really stupid
       typo ("erange" instead of "errno") and including the cerrno header.
     - src/pulsemanager.cpp: use std::ssize_t for the path length, because it
       could be -1 and std::size_t is not applicable.
     - src/pulsemanager.cpp: cast the return value of realloc () to char*, as
       GCC doesn't seem to like reassigning the pointer otherwise.
     - src/unix_stdint.h: use same hack to import ssize_t into std namespace.
     - src/onmainwindow.{cpp,h}: remove left-over parec references and code.
     - src/onmainwindow.cpp: convert piece of code to non-Windows and
       non-Darwin, so that not only Linux but other operating systems are
       covered as well.
     - src/mediawidget.cpp: unify some redundant code.
     - src/mediawidget.cpp: simplify expression.
     - src/mediawidget.cpp: add deprecation warning for ARTS.
     - src/mediawidget.cpp: add deprecation warning for ESounD.
     - macbuild.sh: make compatible with new llvm-based otool binary, which now
       uses proper return values. Be backwards-compatible with otool-classic.
     - res/i18n/: refresh translation files.
     - deduplicate.sh: remove file, now obsolete and merged into macbuild.sh.
     - res/i18n/: refresh translation files again after copyright date changes.
     - res/i18n/x2goclient_fr.ts: fixup French translation file.
     - res/i18n/x2goclient_sv.ts: fixup Swedish translation file a little bit
       and add comments/requests for re-translations for the next time.
     - macbuild.sh: switch to bundling PulseAudio 10.0 since it's now available
       in MacPorts.
     - src/x2goclient.cpp: no need to put new_argv_c_str std::vector onto the
       heap. Keep it on the stack.
     - src/x2goclient.cpp: use $PATH-exploration when re-executing x2goclient
       in UNIX cleanup helper mode. Fixes: #1139.
     - src/onmainwindow.cpp: correctly initialize pulseManager and
       pulseManagerThread member variables. Fixes crashes on OS X and Windows
       if X2Go Client terminates before these objects have been created at run
       time (for instance when running x2goclient --help.)
     - src/onmainwindow.cpp: correctly guard the new lines from the previous
       commit. Fixes compile issues on Linux and other systems.
     - res/i18n/x2goclient_es.ts: fixup Spanish translation file where
       necessary and add comments/requests for re-translations for the next
       time.
     - res/i18n/x2goclient_es.ts: remove obsolete comments and very minor
       whitespace fixup.
     - res/i18n/x2goclient_de.ts: fixup German translation file, including
       typo, whitespace, grammar fixes and other stuff.
     - res/i18n/x2goclient_sv.ts: remove obsolete comments and very minor
       whitespace fix.
     - macbuild.sh: sanitize find input, as BSD find and GNU find behave
       differently.
     - macbuild.sh: get rid of problems and use gfind directly. We need special
       GNU features.
     - src/appdialog.cpp: logic so that X2Go-Top applications are shown again.
       Used faulty logic when silencing compiler warnings.
     - res/i18n/x2goclient_fi.ts: fix up Finnish translation file, including
       typo, whitespace fixes and marking untranslated entries as such again,
       after removing the English "translation" text.
 .
   [ Bernard Cafarelli ]
   * New upstream version (4.1.0.0):
     - {res/,x2goclient.pro}: rename .rcc files to .qrc. Fixes: #1096. "rcc" is
       the extension for compiled resource files, whereas "qrc" is the mapping
       file. Qt5 stumbles upon that - i.e., it doesn't try to compile files
       with the "rcc" extension, while Qt4 did.
     - res/: fix up previous change, the renaming of changelog.qrc was not
       correctly committed.
 .
   [ Jason Alavaliant ]
   * New upstream version (4.1.0.0):
     - src/{onmainwindow.{cpp,h},help.cpp}: modify autostart option to support
       multiple autostart apps at the same time. Fixes: #1024.
 .
   [ Oleksandr Shneyder ]
   * New upstream version (4.1.0.0):
     - src/onmainwindow.cpp: fix SSHFS on Windows client. Fixes: #1105.
 .
   [ Sébastien Ducoulombier ]
   * New upstream version (4.1.0.0):
     - res/i18n/x2goclient_fr.ts: update French translation file.
 .
   [ Daniel Lindgren ]
   * New upstream version (4.1.0.0):
     - res/i18n/x2goclient_sv.ts: update Swedish translation file.
     - res/i18n/x2goclient_sv.ts: fixup Swedish translation file.
 .
   [ Ricardo Díaz Martín ]
   * New upstream release (4.1.0.0):
     - res/i18n/x2goclient_es.ts: update Spanish translation file.
     - res/i18n/x2goclient_es.ts: update Spanish translation file.
 .
   [ Stefan Baur ]
   * New upstream release (4.1.0.0):
     - res/i18n/x2goclient_de.ts: update German translation file.
 .
   [ Martti Pitkänen ]
   * New upstream version (4.1.0.0):
     - res/i18n/x2goclient_fi.ts: update Finnish translation file.


Marked Bug as done Request was from X2Go Release Manager <git-admin@x2go.org> to control@bugs.x2go.org. (Wed, 22 Feb 2017 04:15:09 GMT) (full text, mbox, link).


Notification sent to Robert Dinse <nanook@eskimo.com>:
Bug acknowledged by developer. (Wed, 22 Feb 2017 04:15:09 GMT) (full text, mbox, link).


Message sent on to Robert Dinse <nanook@eskimo.com>:
Bug#1139. (Wed, 22 Feb 2017 04:15:17 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Wed, 22 Mar 2017 06:24:02 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Mon Sep 16 02:55:27 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.